org.apache.sysds.parser.dml

## Class DmlParser.ProgramrootContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.ProgramrootContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    DmlParser

      public static class DmlParser.ProgramrootContext
      extends org.antlr.v4.runtime.ParserRuleContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<DmlParser.StatementContext>` | `blocks`
    `List<DmlParser.FunctionStatementContext>` | `functionBlocks`
    `DmlParser.FunctionStatementContext` | `functionStatement`
    `DmlParser.StatementContext` | `statement`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramrootContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `org.antlr.v4.runtime.tree.TerminalNode` | `EOF()`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `List<DmlParser.FunctionStatementContext>` | `functionStatement()`
    `DmlParser.FunctionStatementContext` | `functionStatement(int i)`
    `int` | `getRuleIndex()`
    `List<DmlParser.StatementContext>` | `statement()`
    `DmlParser.StatementContext` | `statement(int i)`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addChild, addChild, addChild, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### statement

          public DmlParser.StatementContext statement

    - #### blocks

          public List<DmlParser.StatementContext> blocks

    - #### functionStatement

          public DmlParser.FunctionStatementContext functionStatement

    - #### functionBlocks

          public List<DmlParser.FunctionStatementContext> functionBlocks

  - ### Constructor Detail

    - #### ProgramrootContext

          public ProgramrootContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                    int invokingState)

  - ### Method Detail

    - #### EOF

          public org.antlr.v4.runtime.tree.TerminalNode EOF()

    - #### statement

          public List<DmlParser.StatementContext> statement()

    - #### statement

          public DmlParser.StatementContext statement(int i)

    - #### functionStatement

          public List<DmlParser.FunctionStatementContext> functionStatement()

    - #### functionStatement

          public DmlParser.FunctionStatementContext functionStatement(int i)

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

Copyright © 2021 The Apache Software Foundation. All rights reserved.